Bug 29646 - Stack alignment checking should be more strict
Stack alignment checking should be more strict
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: Kernel (Show other bugs)
CVS
All Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
ecc-bugs-int
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-26 19:23 EST by Jonathan Larmour
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 11:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Larmour 2001-02-26 19:23:23 EST
Currently the stack alignment checking in
Cyg_HardwareThread::attach_stack() only checks against a CYG_WORD. Really
it should check against CYG_ALIGNMENT.

However I get a strong suspicion this will cause a lot of test failures on
various targets, so it's too much to deal with now. So this bug is a
placeholder.
Comment 1 Alex Schuilenburg 2003-06-20 11:59:41 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=29646

Note You need to log in before you can comment on or make changes to this bug.